---
vpc:
  zoox_corporate: vpc-ffc6569a
  zoox_private: vpc-dd7bbab8
  vpc_default: vpc-5d7f0238
  vpc_dispatch: vpc-2d7f0248
  vpc_teleops: vpc-357f0250
  vpc_corp: vpc-9c2c50f9
  aws_default: vpc-1e76b77b
cidr:
  all: 0.0.0.0/0
  corp:
    all: 172.0.0.0/8
    us: 172.16.0.0/16
  eng:
    all: 10.0.0.0/8
    aws:
      legacy: 10.0.0.0/16
      norcal_normal: 10.1.0.0/16
      norcal_sensitive: 10.2.0.0/16
      oregon: 10.3.0.0/16
    dc1: 10.64.0.0/16
    dc2: 10.68.0.0/16
  public:
    # Variables must start with a letter.
    # We have several different possible public IPs for 2180, due to network
    # migrations and fail-overs.  If you use one, you should use all of them.
    x2180_1: 50.233.131.66/32
    x2180_2: 198.51.111.22/32
    x2180_3: 4.28.172.146/32
    firehouse_wired: 198.51.111.12/32
    # This covers the entire collective working space the LA office works
    # out of, so it's not purely internal-use only.  Prefer opening ports
    # only on the internal network once that's set up.
    la: 64.124.135.30/32
    # Rajan's team of contractors.
    india1: 49.205.77.86/32
    india2: 103.44.1.106/32
    india3: 183.83.203.217/32
    india4: 183.83.203.84/32
    india5: 111.93.28.22/32
    india6: 175.101.19.69/32
ports:
  min: 1
  ssh: 22
  dns: 53
  http: 80
  https: 443
  openvpn_admin: 943
  ms_sql: 1433
  dispatch_vehicle_prod: 1443
  catalog_backend_prod: 2007
  catalog_backend_ssl_prod: 2008
  dispatch_user_api_prod: 2443
  rdp: 3389
  postgres: 5432
  logstash: 5044
  kibana: 5601
  hazelcast: 5701
  cloudera_admin: 7180
  vault: 8200
  elastic_map_reduce_cluster_management: 8443
  elasticsearch: 9200
  elastic_bamboo: 26224
  max: 65535
# When dealing with ICMP, AWS uses FromPort to specify the ICMP type
# number, and ToPort to specify the ICMP code number.
# https://docs.aws.amazon.com/AWSEC2/latest/APIReference/API_AuthorizeSecurityGroupIngress.html
# https://en.wikipedia.org/wiki/Internet_Control_Message_Protocol#Control_messages
icmp:
  type:
    all: -1
    echo_reply: 0
  code:
    all: -1
    echo_reply: 0
